title: 'Page d''accueil'
tabs:
  hero:
    display: 'Section Hero'
    sections:
      -
        display: 'Bannière principale'
        fields:
          -
            handle: hero_image
            field:
              type: assets
              container: assets
              max_files: 1
              display: 'Image de fond Hero'
              instructions: 'Image de fond pour la section principale (1920x1080px recommandé)'
              validate: 'image'
          -
            handle: hero_title
            field:
              type: text
              display: 'Titre Hero'
              instructions: 'Titre principal de la bannière'
              default: 'se marient !'
              width: 50
          -
            handle: boarding_pass_title
            field:
              type: text
              display: 'Titre carte d''embarquement'
              instructions: 'Titre affiché au-dessus du boarding pass'
              default: 'Votre carte d''embarquement'
              width: 50
  
  program:
    display: 'Programme / Agenda'
    sections:
      -
        display: 'Tableau de départs (style aéroport)'
        instructions: 'Créez votre planning comme un tableau de départs d''aéroport'
        fields:
          -
            handle: program_title
            field:
              type: text
              display: 'Titre de la section'
              default: 'Programme de la Journée'
          -
            handle: program_subtitle
            field:
              type: text
              display: 'Sous-titre'
              default: 'Votre itinéraire pour cette journée mémorable'
          -
            handle: program_events
            field:
              type: replicator
              display: 'Événements'
              instructions: 'Ajoutez les événements de la journée'
              sets:
                event:
                  display: 'Événement'
                  fields:
                    -
                      handle: time
                      field:
                        type: text
                        display: 'Heure'
                        instructions: 'Ex: 16:00'
                        width: 33
                        validate: required
                    -
                      handle: event_name
                      field:
                        type: text
                        display: 'Événement'
                        instructions: 'Ex: Accueil des invités'
                        width: 50
                        validate: required
                    -
                      handle: status
                      field:
                        type: select
                        display: 'Statut'
                        instructions: 'Style du statut (couleur automatique)'
                        width: 25
                        default: boarding
                        options:
                          boarding: '🟡 Boarding (Jaune)'
                          ontime: '🟢 On Time (Vert)'
                          delayed: '🔴 Delayed (Rouge)'
                          arrived: '🔵 Landed (Bleu)'
                          ceremony: '💕 Ceremony (Cœurs roses)'
                    -
                      handle: terminal
                      field:
                        type: text
                        display: 'Terminal'
                        instructions: 'Ex: Extérieur / Intérieur / Dance Floor (colonne "Terminal" du tableau)'
                        width: 50
  
  big_day:
    display: 'Le Grand Jour'
    sections:
      -
        display: 'Titres de la section'
        fields:
          -
            handle: bigday_section_title
            field:
              type: text
              display: 'Petit titre'
              default: 'Le Grand Jour'
              width: 33
          -
            handle: bigday_main_title
            field:
              type: text
              display: 'Titre principal'
              default: 'Tout ce qu''il faut savoir'
              width: 33
          -
            handle: bigday_lead
            field:
              type: textarea
              display: 'Texte d''introduction'
              default: 'Préparez vos valises pour une journée inoubliable !'
              width: 33
      -
        display: 'Carte "Quand"'
        fields:
          -
            handle: bigday_date_title
            field:
              type: text
              display: 'Titre'
              default: 'Quand'
              width: 50
      -
        display: 'Carte "Où"'
        fields:
          -
            handle: bigday_location_title
            field:
              type: text
              display: 'Titre'
              default: 'Où'
              width: 50
          -
            handle: bigday_parking_text
            field:
              type: text
              display: 'Texte parking'
              default: 'Parking disponible devant les caves 50 mètres plus loin'
              width: 50
      -
        display: 'Carte "Cadeau"'
        fields:
          -
            handle: bigday_gift_title
            field:
              type: text
              display: 'Titre'
              default: 'Cadeau'
              width: 50
          -
            handle: bigday_gift_text1
            field:
              type: text
              display: 'Texte ligne 1'
              default: 'On reste dans le thème du voyage ! ✈️'
              width: 50
          -
            handle: bigday_gift_text2
            field:
              type: textarea
              display: 'Texte ligne 2'
              default: 'Une cagnotte voyage sera mise en place pour notre lune de miel.'
          -
            handle: bigday_gift_soon
            field:
              type: text
              display: 'Texte "Bientôt"'
              default: 'Plus d''infos bientôt'
              width: 50
      -
        display: 'Carte "Dress Code"'
        fields:
          -
            handle: bigday_dresscode_title
            field:
              type: text
              display: 'Titre'
              default: 'Dress Code'
              width: 50
          -
            handle: bigday_dresscode_style
            field:
              type: text
              display: 'Style (texte principal)'
              default: 'Estival & Chic'
              width: 50
          -
            handle: bigday_dresscode_text
            field:
              type: textarea
              display: 'Description'
              default: 'Sortez vos plus belles tenues légères et élégantes pour célébrer sous le soleil d''été ! ☀️'
  
  infos:
    display: 'Infos Pratiques'
    sections:
      -
        display: 'Paramètres généraux'
        fields:
          -
            handle: info_bg_image
            field:
              type: assets
              container: assets
              max_files: 1
              display: 'Image de fond'
              instructions: 'Image de fond pour la section parallaxe (1920x1400px recommandé)'
              validate: 'image'
      -
        display: 'Cérémonie'
        fields:
          -
            handle: info_ceremony_title
            field:
              type: text
              display: 'Titre'
              default: 'Cérémonie'
              width: 50
          -
            handle: info_ceremony_text
            field:
              type: textarea
              display: 'Description'
              default: 'Rejoignez-nous pour notre cérémonie de mariage, un moment rempli d''émotion et de bonheur.'
              width: 50
          -
            handle: info_ceremony_location
            field:
              type: text
              display: 'Adresse'
              instructions: 'Adresse du lieu de cérémonie'
              width: 50
          -
            handle: info_ceremony_map_link
            field:
              type: text
              display: 'Lien Google Maps'
              instructions: 'Lien vers Google Maps pour obtenir l''itinéraire'
              width: 50
      -
        display: 'Réception'
        fields:
          -
            handle: info_reception_title
            field:
              type: text
              display: 'Titre'
              default: 'Réception'
              width: 50
          -
            handle: info_reception_text
            field:
              type: textarea
              display: 'Description'
              default: 'Célébrez avec nous lors de notre réception, un moment de joie et de festivités.'
              width: 50
          -
            handle: info_reception_location
            field:
              type: text
              display: 'Adresse'
              instructions: 'Adresse du lieu de réception'
              width: 50
          -
            handle: info_reception_map_link
            field:
              type: text
              display: 'Lien Google Maps'
              instructions: 'Lien vers Google Maps pour obtenir l''itinéraire'
              width: 50
      -
        display: 'Hébergement'
        fields:
          -
            handle: info_hotel_title
            field:
              type: text
              display: 'Titre'
              default: 'Hébergement'
              width: 50
          -
            handle: info_hotel_text
            field:
              type: textarea
              display: 'Description'
              default: 'Des suggestions d''hébergement à proximité du lieu de réception seront disponibles prochainement.'
              width: 50
          -
            handle: info_hotel_location
            field:
              type: text
              display: 'Adresse'
              instructions: 'Adresse de l''hébergement recommandé'
              width: 50
          -
            handle: info_hotel_map_link
            field:
              type: text
              display: 'Lien Google Maps'
              instructions: 'Lien vers Google Maps pour obtenir l''itinéraire'
              width: 50
  
  contact:
    display: 'Personnes de contact'
    sections:
      -
        display: 'Titres de la section'
        fields:
          -
            handle: contact_section_title
            field:
              type: text
              display: 'Petit titre'
              default: 'Contact'
              width: 33
          -
            handle: contact_main_title
            field:
              type: text
              display: 'Titre principal'
              default: 'Personnes de contact'
              width: 33
          -
            handle: contact_lead
            field:
              type: textarea
              display: 'Texte d''introduction'
              default: 'Pour toute question le jour J, nos témoins et maître·sse de cérémonie sont là pour vous aider.'
              width: 33

  faq:
    display: 'FAQ'
    sections:
      -
        display: 'Titres de la section'
        fields:
          -
            handle: faq_section_title
            field:
              type: text
              display: 'Petit titre'
              default: 'Infos pratiques'
              width: 33
          -
            handle: faq_main_title
            field:
              type: text
              display: 'Titre principal'
              default: 'Questions'
              width: 33
          -
            handle: faq_lead
            field:
              type: textarea
              display: 'Texte d''introduction'
              default: 'Tout ce qu''il faut savoir pour profiter pleinement de cette journée.'
              width: 33

  map:
    display: 'Carte Google Maps'
    sections:
      -
        display: 'Légende de la carte'
        fields:
          -
            handle: map_legend_title
            field:
              type: text
              display: 'Titre de la légende'
              default: 'Où nous trouver'
              width: 50
          -
            handle: map_btn_text
            field:
              type: text
              display: 'Texte du bouton'
              default: 'Y aller'
              width: 50

  sidebar:
    display: 'Paramètres'
    sections:
      -
        fields:
          -
            handle: title
            field:
              type: text
              required: true
              display: 'Titre de la page'
          -
            handle: template
            field:
              type: template
              display: Template
              default: home
              hide_partials: true

